;ram equates
_OBPA				=		$8000		;object pattern area
_BGPA				=		$8800		;background pattern area
_WNPA				=		$9000		;window & background pattern area
_BG1				=		$9800		;primary background tile map area
_BG2				=		$9c00		;second background tile map area
_WIN1				=		$9c00		;primary window tile map area
_WIN2				=		$9800		;second window tile map area
_EEW				=		$a000		;external expanded wram
_BANK0				=		$c000		;static bank 0
_BANKV				=		$d000		;swappable banks 0-7

;port equates (one byte)
P1					=		$00		;keypad
SB					=		$01		;serial data
SC					=		$02		;serial i/o control
DIC					=		$04		;divide register
TIMA				=		$05		;timer counter
TMA					=		$06		;timer modulo
TAC					=		$07		;timer control
IF					=		$0f		;interrupt flag
LCDC				=		$40		;lcd control
STAT				=		$41		;lcd status
SCY					=		$42		;scroll y
SCX					=		$43		;scroll x
LY					=		$44		;lcd y
LYC					=		$45		;ly compare
DMA					=		$46		;dma start address
BGP					=		$47		;background palette data
OBP0				=		$48		;object palette 0 data
OBP1				=		$49		;object palette 1 data
WY					=		$4a		;window y position
WX					=		$4b		;window x position
IE					=		$ff		;interrupt enable

;color only ports
KEY1				=		$4d		;cpu speed (1.05 or 2.1 MHz)
									;set bit 0 - enable switch
									;read bit 7 -current speed
									;execute STOP for switch to
									;activate (all IE disabled)
									;speed 0 selected at reset
VBK					=		$4f		;video bank specification
									;bit 0 - reset bank 0
									;bit 1 - set bank 1
									;bank 0 selected at reset
HDMA1				=		$51		;hblank dma transfer source
HDMA2				=		$52		;bits 4-7 - low source
									;hdma1 and hdm2 combine to
									;form 12 msb of addr between
									;$0000-$7fff or $a000-$dfff
HDMA3				=		$53		;hblank dam transfer dest
									;bits 0-5 - high dest
HDMA4				=		$54		;bits 4-7 - low dest
									;hdma3 and hdma4 combine to
									;form 9 msb of addr between
									;$8000 and $9fff
HDMA5				=		$55		;hblank dma transf quantity
									;bits 0-6 - # of lines + 1
									;copies 16(n+1) bytes
									;bit 7 - transfer start
									;1 - start hblank dma
									;0 - end hblank dma
RP					=		$56		;infra red port
BCPS				=		$68		;bg write specification
									;bit 0 - 0 low / 1 high
									;bits 1-2 - palette data #
									;bits 3-5 - palette #
									;bit 7 - 0 fixed / 1 cycle
BCPD				=		$69		;background write data
OCPS				=		$6a		;obj write specification
									;bits same as bcps
OCPD				=		$6b		;object write data
SVBK				=		$70		;work memory bank
									;0-1 bank 1
									;2-7 bank 2-7

P15					=		$10		;keyboard constant values
P14					=		$20
P0					=		$30
